/* 
 *  Module Name:     aiptouch.h
 *
 *  Description:     kernel driver include
 *
 *  (C) Copyright 2005, International Business Machines Corporation.
 *  All right reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1.  Redistributions of source code must retain the above copyright notice,
 *     this list of conditions and the following disclaimer.
 *
 * 2.  Redistributions in binary form must reproduce the above copyright notice,
 *     this list of conditions and the following disclaimer in the documentation
 *     and/or other materials provided with the distribution.
 *
 * 3.  The name of the author may not be used to endorse or promote products
 *     derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * Should you need to contact me, the author, you can do so either by
 * e-mail - mail your message to <gha@us.ibm.com>.
 */
 

#ifndef _H_AIPKERNEL
#define _H_AIPKERNEL 1

#define IOCTL_MAGIC		'x'

#define ENABLE_CALIBRATION	_IOR(IOCTL_MAGIC, 50, ENABLE_CALIBRATION_PARMS)
#define DISABLE_CALIBRATION	_IOR(IOCTL_MAGIC, 51, ENABLE_CALIBRATION_PARMS)
#define GET_DRIVER_VERSION	_IOR(IOCTL_MAGIC, 52, GET_DRIVER_VERSION_PARMS)
#define CLEAR_INPUT		_IOR(IOCTL_MAGIC, 53, int)

typedef struct {
	int major;
	int minor;
} ENABLE_CALIBRATION_PARMS;

typedef struct {
	int version;
	int reserved_1;
	int reserved_2;
} GET_DRIVER_VERSION_PARMS;

#endif
